xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Chayanon Wichitrnithed
License | BSD3-style (see LICENSE)
Maintainer | Chayanon Wichitrnithed <namowi@gatech.edu>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.TwoPanePersistent

Contents

- Usage

Description

This layout is the same as XMonad.Layout.TwoPane except that it keeps track of the slave window that is alongside the master pane. In other words, it prevents the slave pane from changing after the focus goes back to the master pane.

Synopsis

- data TwoPanePersistent a = TwoPanePersistent {
  - slaveWin :: Maybe a
  - dFrac :: Rational
  - mFrac :: Rational
  }

# Usage

Import the module in `xmonad.hs`:

    import XMonad.Layout.TwoPanePersistent

Then add the layout to the `layoutHook`:

    myLayout = TwoPanePersistent Nothing (3/100) (1/2) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

data TwoPanePersistent a #

Constructors

TwoPanePersistent |

Fields

- slaveWin :: Maybe a

  slave window; if `Nothing` or not in the current workspace, the window below the master will go into the slave pane

- dFrac :: Rational

  shrink/expand size

- mFrac :: Rational

  initial master size

#### Instances

Instances details

(Show a, Eq a) => LayoutClass TwoPanePersistent a # |

Instance details

Defined in XMonad.Layout.TwoPanePersistent

Methods

runLayout :: Workspace WorkspaceId (TwoPanePersistent a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPanePersistent a)) #

doLayout :: TwoPanePersistent a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (TwoPanePersistent a)) #

pureLayout :: TwoPanePersistent a -> Rectangle -> Stack a -> [(a, Rectangle)] #

emptyLayout :: TwoPanePersistent a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPanePersistent a)) #

handleMessage :: TwoPanePersistent a -> SomeMessage -> X (Maybe (TwoPanePersistent a)) #

pureMessage :: TwoPanePersistent a -> SomeMessage -> Maybe (TwoPanePersistent a) #

description :: TwoPanePersistent a -> String #

Read a => Read (TwoPanePersistent a) # |
Instance details Defined in XMonad.Layout.TwoPanePersistent Methods readsPrec :: Int -> ReadS (TwoPanePersistent a) # readList :: ReadS [TwoPanePersistent a] # readPrec :: ReadPrec (TwoPanePersistent a) # readListPrec :: ReadPrec [TwoPanePersistent a] #
Show a => Show (TwoPanePersistent a) # |
Instance details Defined in XMonad.Layout.TwoPanePersistent Methods showsPrec :: Int -> TwoPanePersistent a -> ShowS # show :: TwoPanePersistent a -> String # showList :: [TwoPanePersistent a] -> ShowS #